Name:           perl-experimental
Version:        0.031
Release:        2
Summary:        Experimental features made easy
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/experimental/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/experimental-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings)
BuildRequires:  perl(Carp) perl(feature) perl(version)
BuildRequires:  perl(Test::More) >= 0.89

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(feature)

%description
This pragma provides an easy and convenient way to enable or disable
experimental features.

%package            help
Summary:            Documents for %{name}
Buildarch:          noarch
Requires:           man info

%description        help
Man pages and other related documents for %{name}.

%prep
%autosetup -n experimental-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# fix https://gitee.com/src-openeuler/perl-experimental/issues/I7W5LD
mv ${RPM_BUILD_ROOT}/usr/share/man/man3/stable.3pm ${RPM_BUILD_ROOT}/usr/share/man/man3/experimental-stable.3pm
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/*

%files help
%{_mandir}/man3/*

%changelog
* Tue Aug 29 2023 leeffo <liweiganga@uniontech.com> - 0.031-2
- fix install conflicts

* Tue Jul 18 2023 leeffo <liweiganga@uniontech.com> - 0.031-1
- upgrade to version 0.031

* Sun Jan 29 2023 hongjinghao <hongjinghao@huawei.com> - 0.030-1
- update to 0.030

* Mon Oct 24 2022 hongjinghao <hongjinghao@huawei.com> - 0.025-2
- Simplify code's logic 

* Wed Nov 24 2021 yuanxin <yuanxin24@huawei.com> - 0.025-1
- update version to 0.025

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.022-2
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Wed Jul 22 2020 xinghe <xinghe1@huawei.com> - 0.022-1
- Package Init

* Sat Sep 14 2019 guiyao <guiyao@huawei.com> - 0.020-2
- Package Init
